---
kind: pipeline
type: docker
name: Check_Requirement

steps:
  - name: base_check
    image: gradle:jdk11-alpine
    commands:
      - ./gradlew clean
      - ./gradlew build
      - ./gradlew test

  - name: syntax_check
    image: gradle:jdk11-alpine
    commands:
      - ./gradlew check

---
kind: pipeline
type: docker
name: master_build

steps:
  - name: make_archive
    image: alpine:latest
    volumes: 
      - name: archives
        path: /build
    commands:
      - apk add --no-cache git
      - tar cvzf /build/$(git log -n 1 --format="%h")_school_archive.gz.tar app/ gradle/ gradlew/ gradlew.bat README.md settings.gradle
    when:
      branch:
        - master
      event:
        exclude:
          - pull_request
volumes:
  - name: archives
    host:
      path: /srv/drone/school_project/archive/
depends_on:
  - Check_Requirement
---
kind: signature
hmac: 6b154c74ec624ce2d5867386bb7a6ee51cae9153457a8ce15f53e54546ccbc0e

...
